import request from '@/utils/request'

// 驳回开车条件确认列表
export function handleTurnDownSubcontent(data) {
  return request({
    url: '/pssr/subcontent/turnDownSubcontent',
    method: 'put',
    data: data
  })
}

// 查询开车条件确认列表
export function listSubcontent(query) {
  return request({
    url: '/pssr/subcontent/list',
    method: 'get',
    params: query
  })
}

// 查询开车条件确认详细
export function getSubcontent(id) {
  return request({
    url: '/pssr/subcontent/' + id,
    method: 'get'
  })
}

// 新增开车条件确认
export function addSubcontent(data) {
  return request({
    url: '/pssr/subcontent',
    method: 'post',
    data: data
  })
}

// 修改开车条件确认
export function updateSubcontent(data) {
  return request({
    url: '/pssr/subcontent',
    method: 'put',
    data: data
  })
}

//
export function updateSubcontentBatch(data) {
  return request({
    url: '/pssr/subcontent/editBatch',
    method: 'put',
    data: data
  })
}


// 删除开车条件确认
export function delSubcontent(id) {
  return request({
    url: '/pssr/subcontent/' + id,
    method: 'delete'
  })
}

// 导出开车条件确认
export function exportSubcontent(query) {
  return request({
    url: '/pssr/subcontent/export',
    method: 'get',
    params: query
  })
}
